# 测试环境配置
# 可以去这个网站将 yaml转为json https://json.im/json2/yaml2json.html
---
env: local
session:
  type: redis
  options:
    secret: lr1234567890_
    name: lr_user_center
    rolling: true
    resave: false
    saveUninitialized: false
  fileStoreOptions:
    path: ./session_file # session存放的目录
    ttl: 7200         # 单位秒
  redisOptions:
    store:
      prefix: 'session:local:'
      ttl: 7200         # 单位秒
    redis:
      # 如果使用url的试，则cfg的方式无效
      # 示例
      # // Connect to 127.0.0.1:6380, db 4, using password "authpassword":
      # redis://:authpassword@127.0.0.1:6380/4
      #
      # // Username can also be passed via URI.
      # redis://username:authpassword@127.0.0.1:6380/4
      url:
      cfg:
        # needs Redis >= 6 才有username
        username:
        password:
        port: 6379
        host: 127.0.0.1
        database: 0
  mysqlStoreOptions: # 使用FileStore老是会报异常，所以在这里使用mysql做为替换。
    database: xn_session
    password: root123!!!
    host: 127.0.0.1
    port: 3306
    user: root
